Loading...
Searching...
No Matches
gr::blocks::rotator Class Reference

`#include <gnuradio/blocks/rotator.h>`

## Public Member Functions

| rotator ()
gr_complex | phase ()
void | set_phase (gr_complex phase)
void | set_phase_incr (gr_complex incr)
gr_complex | rotate (gr_complex in)
void | rotateN (gr_complex *out, const gr_complex *in, int n)

## Constructor & Destructor Documentation

## rotator()

gr::blocks::rotator::rotator | ( |  | ) |

inline

## Member Function Documentation

## phase()

gr_complex gr::blocks::rotator::phase | ( |  | ) |

inline

Referenced by set_phase().

## rotate()

gr_complex gr::blocks::rotator::rotate | ( | gr_complex | in | ) |

inline

## rotateN()

void gr::blocks::rotator::rotateN | ( | gr_complex * | out,
|  | const gr_complex * | in,
|  | int | n )

inline

## set_phase()

void gr::blocks::rotator::set_phase | ( | gr_complex | phase | ) |

inline

References phase().

## set_phase_incr()

void gr::blocks::rotator::set_phase_incr | ( | gr_complex | incr | ) |

inline

The documentation for this class was generated from the following file:

- rotator.h